# claimRewards()

### Function claimRewards()

{% code title="StandardRewards.sol" %}

```solidity
function claimRewards(uint256[] calldata ids) external uniqueArray(ids) nonReentrant returns (uint256)
```

{% endcode %}

This function is used to claim pending rewards from one or more standard rewards programs.&#x20;

The function accepts a list of reward program IDs as arguments, and returns the number of rewards claimed.&#x20;

### Function Arguments

| Name | Type       | Description                             |
| ---- | ---------- | --------------------------------------- |
| ids  | uint256\[] | This is an array of reward program IDs. |

### Return Variables

| Variable Type | Returns                        |
| ------------- | ------------------------------ |
| uint256       | The amount of rewards claimed. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/write-functions/rewards/claimrewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
